    Return the X-Spec model setting.

get_xsxset(name)
name - str
>>> set_xsxset("POW_EMIN", "0.5") >>> get_xsxset("pow_emin") '0.5'

PARAMETERS

The parameter for this function is:

Parameter
Definition
name
The name of the setting (converted to upper case before being sent to X-Spec). There is no check that the name is valid.

The return value from this function is:

val -- Returns the value set by a previous call to `set_xsxset` or the empty string, if the value has not been previously set.

Notes

Due to the way X-Spec model settings work, `get_xsxset` will only return a value if it has previously been set with a call to

`set_xsxset` . There is no way to retrive the default value of a setting.

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023